Bug 982101 - fedora-reviews unpacks rpm without preserving timestamps
fedora-reviews unpacks rpm without preserving timestamps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 03:10 EDT by Jens Petersen
Modified: 2013-09-16 13:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: fedora-review-0.5.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-30 09:22:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-07-08 03:10:14 EDT
Description of problem:
fedora-review does not preserve timestamps when unpacking rpms.

Version-Release number of selected component (if applicable):
fedora-review-0.4.1-2.fc19

How reproducible:
100%

Steps to Reproduce:
1. do fedora-review of review request
2. observe timestamps in *rpm-unpacked/

Actual results:
2. timestamps are for unpack time

Expected results:
2. timestamps to be same as in srpm/rpm's

Additional info:
This is a little confusing and makes it harder to verify reviews.
Maybe better to use rpm -qlv if it is hard to unpack rpms
with perserving timestamps of files.
Comment 1 Alec Leamas 2013-07-09 07:44:27 EDT
Indeed. This applies not only to the unpacked-rpms but also on srpm-unpacked.

Fixed in devel: https://fedorahosted.org/FedoraReview/changeset/562671aa9f47a3d4ebd5b3476b691d65c2ea0224  and
https://fedorahosted.org/FedoraReview/changeset/524dd1cf327fa2f4563ca52c5c87fdfaf90be48d 

Thanks for reporting!
Comment 2 Fedora Update System 2013-08-30 09:12:46 EDT
fedora-review-0.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-1.el6
Comment 3 Fedora Update System 2013-08-30 09:13:13 EDT
fedora-review-0.5.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-1.fc19
Comment 4 Alec Leamas 2013-08-30 09:22:37 EDT
Closing with new release. Feel free to reopen if problem should persist. Thanks again for reporting!
Comment 5 Fedora Update System 2013-09-01 19:04:54 EDT
fedora-review-0.5.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-16 13:43:24 EDT
fedora-review-0.5.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.